import './assets/data-table-style.scss';
import type { TableSettings, TableData } from './types';
declare const _default: import("vue").DefineComponent<{
    settings: Readonly<TableSettings>;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "change:sort": (value: unknown) => any;
    "update:data": (value: TableData) => any;
}, string, import("vue").PublicProps, Readonly<{
    settings: Readonly<TableSettings>;
}> & Readonly<{
    "onChange:sort"?: ((value: unknown) => any) | undefined;
    "onUpdate:data"?: ((value: TableData) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
